---
layout: docs
page_title: 'Commands: acl role list'
description: The role list command is used to list existing ACL Roles.
---

# Command: acl role list

The `acl role list` command is used to list existing ACL Roles.

## Usage

```plaintext
nomad acl role list [options]
```

## General Options

@include 'general_options_no_namespace.mdx'

## List Options

- `-json` : Output the ACL roles in a JSON format.

- `-t` : Format and display the ACL roles using a Go template.

## Examples

List all ACL Roles:

```shell-session
$ nomad acl role list
ID                                    Name              Description  Policies
a53b0095-c28a-6181-0586-807b82e665e4  example-acl-role  <none>       general-write
```
